libetonyek::IWORKRecorder Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKRecorder Class Reference

`#include <IWORKRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKRecorder ()
void | replay (IWORKCollector &collector) const
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectPath (const IWORKPathPtr_t &path)
void | collectImage (const IWORKImagePtr_t &image)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape ()
void | collectMedia (const IWORKMediaContentPtr_t &content)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectTable (const boost::shared_ptr< IWORKTable > &table)
void | collectText (const boost::shared_ptr< IWORKText > &text)
void | startGroup ()
void | endGroup ()
void | startLevel ()
void | endLevel ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()

## Private Attributes
boost::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ IWORKRecorder()

libetonyek::IWORKRecorder::IWORKRecorder | ( |  | ) |

## Member Function Documentation

## ◆ collectGeometry()

void libetonyek::IWORKRecorder::collectGeometry | ( | const IWORKGeometryPtr_t & | geometry | ) |

## ◆ collectImage()

void libetonyek::IWORKRecorder::collectImage | ( | const IWORKImagePtr_t & | image | ) |

## ◆ collectLine()

void libetonyek::IWORKRecorder::collectLine | ( | const IWORKLinePtr_t & | line | ) |

## ◆ collectMedia()

void libetonyek::IWORKRecorder::collectMedia | ( | const IWORKMediaContentPtr_t & | content | ) |

## ◆ collectPath()

void libetonyek::IWORKRecorder::collectPath | ( | const IWORKPathPtr_t & | path | ) |

## ◆ collectShape()

void libetonyek::IWORKRecorder::collectShape | ( |  | ) |

## ◆ collectStyle()

void libetonyek::IWORKRecorder::collectStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ collectStylesheet()

void libetonyek::IWORKRecorder::collectStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ collectTable()

void libetonyek::IWORKRecorder::collectTable | ( | const boost::shared_ptr< IWORKTable > & | table | ) |

## ◆ collectText()

void libetonyek::IWORKRecorder::collectText | ( | const boost::shared_ptr< IWORKText > & | text | ) |

## ◆ endGroup()

void libetonyek::IWORKRecorder::endGroup | ( |  | ) |

## ◆ endLevel()

void libetonyek::IWORKRecorder::endLevel | ( |  | ) |

## ◆ popStylesheet()

void libetonyek::IWORKRecorder::popStylesheet | ( |  | ) |

## ◆ pushStylesheet()

void libetonyek::IWORKRecorder::pushStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

## ◆ replay()

void libetonyek::IWORKRecorder::replay | ( | IWORKCollector & | collector | ) | const

## ◆ setGraphicStyle()

void libetonyek::IWORKRecorder::setGraphicStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ startGroup()

void libetonyek::IWORKRecorder::startGroup | ( |  | ) |

## ◆ startLevel()

void libetonyek::IWORKRecorder::startLevel | ( |  | ) |

## Member Data Documentation

## ◆ m_impl

boost::shared_ptr<Impl> libetonyek::IWORKRecorder::m_impl
| private

Referenced by collectGeometry(), collectImage(), collectLine(), collectMedia(), collectPath(), collectShape(), collectStyle(), collectStylesheet(), collectTable(), collectText(), endGroup(), endLevel(), popStylesheet(), pushStylesheet(), replay(), setGraphicStyle(), startGroup(), and startLevel().

The documentation for this class was generated from the following files:

- IWORKRecorder.h
- IWORKRecorder.cpp